
Redmine - Defect #7255

cannot upgrade from 1.0.1 to 1.1.0 (or to 1.0.2, or to 1.0.5)

2011-01-09 22:18 - Edwin van Ouwerkerk Moria

Status: Closed Start date: 2011-01-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.1.0

Description

1.0.1 works fine, but upgrading the database for newer versions (first tried 1.1.0, then 1.0.5 and 1.0.2) gives a:

-bash-4.0# rake db:migrate RAILS_ENV=production

(in /opt/redmine-1.1.0)

rake aborted!

Object is not missing constant Issue!

 I'm using postgresql 8.4.5 on Fedora 12. Ruby & postgresql installed through yum, redmine from tarball

-bash-4.0# ruby --version;

ruby 1.8.6 (2010-02-05 patchlevel 399) [i386-linux]

-bash-4.0# gem list --local

LOCAL GEMS ***

daemons (1.0.10)

fastthread (1.0.7)

fcgi (0.8.8)

ffi (1.0.4)

i18n (0.4.2)

passenger (2.2.15)

postgres (0.7.9.2008.01.28)

postgres-pr (0.6.3)

rack (1.0.1)

rake (0.8.7)

Any hints appreciated...

History

#1 - 2011-04-16 16:33 - Etienne Massip

May be somehow related to RE: "Object is not missing constant Issue!" on CentOS 5.5, except it is MySQL instead of pg.

#2 - 2022-01-19 07:50 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

I am closing this issue because Redmine 1.1.0 is very old.

Please reopen this issue if you experience the same issue when upgrading to the latest version of Redmine.
